;7-Segmentcodes fr gem. Anode / negative Logik

.equ	s0	=	0xC0	;7 Segmentcode fr 0
.equ	s1	=	0xf9	;7 Segmentcode fr 1	
.equ	s2	=	0xa4	;7 Segmentcode fr 2
.equ	s3	=	0xb0	;7 Segmentcode fr 3
.equ	s4	=	0x99	;7 Segmentcode fr 4
.equ	s5	=	0x92	;7 Segmentcode fr 5
.equ	s6	=	0x82	;7 Segmentcode fr 6
.equ	s7	=	0xf8	;7 Segmentcode fr 7
.equ	s8	=	0x80	;7 Segmentcode fr 8
.equ	s9	=	0x90	;7 Segmentcode fr 9
.equ	Lo	=	0xC7	; L
.equ	Hi	=	0x89	; H


.equ   Ba   = 	 0x88	; A
.equ   Bb   = 	 0x83	; B
.equ   Bc   = 	 0xA7	; C
.equ   Bd   = 	 0xA1	; D
.equ   Be   = 	 0x86	; E
.equ   Bf   = 	 0x8E	; F
.equ   Bg   = 	 0xC2	; G
.equ   Bh   = 	 0x89	; H
.equ   Bi   = 	 0xF9	; I
.equ   Bj   = 	 0xE1	; J
.equ   Bl   = 	 0xC7	; L
.equ   Bn   = 	 0xAB	; n
.equ   Bo   = 	 0xA3	; o
.equ   Boo  = 	 0xC0	; O
.equ   Bp   = 	 0x8C	; P
.equ   Bq   = 	 0x98	; q
.equ   Br   = 	 0xAF	; r
.equ   Bs   = 	 0x92	; S
.equ   Bt   = 	 0x87	; t
.equ   Bu   = 	 0xE3	; u
.equ   Buu  = 	 0xC1	; U
.equ   By   = 	 0x8D	; Y
.equ	Blank	= 0xff	;Space

setlow:
.db	bs,be,bt,blank,bl,bo,blank,blank,blank,0
sethigh:
.db	bs,be,bt,blank,bh,bi,bg,bh,blank,blank,blank,0
;Tabelle fr Drucksensor MPX5700GS
;7(Bar) / 230 (4,5V - ADC) = 0,030434782608695652173913043478261 pro Digit

bar:
;Offset
;		.db	lo,lo,lo,lo,lo,lo
		.db	lo,lo,lo,lo,lo,lo	;Da der Sensor bei 0,00 Bar schon eine geringe Spannung liefert		
		.db	lo,lo,lo,lo,lo,lo	;mssen ein paar Bytes berlesen werden.
		.db	lo,lo,lo,lo,lo,lo
		.db	s0,s0,s0,s0,s0,s0


		.db	s0,s0,s0,s0,s0,s3	;Die eigentliche Tabelle
		.db	s0,s0,s6,s0,s0,s9
		.db	s0,s1,s2,s0,s1,s5
		.db	s0,s1,s8,s0,s2,s1
		.db	s0,s2,s4,s0,s2,s7
		.db	s0,s3,s0,s0,s3,s4
		.db	s0,s3,s7,s0,s4,s0
		.db	s0,s4,s3,s0,s4,s6
		.db	s0,s4,s9,s0,s5,s2
		.db	s0,s5,s5,s0,s5,s8
		.db	s0,s6,s1,s0,s6,s4
		.db	s0,s6,s7,s0,s7,s0
		.db	s0,s7,s3,s0,s7,s6
		.db	s0,s7,s9,s0,s8,s2
		.db	s0,s8,s5,s0,s8,s8
		.db	s0,s9,s1,s0,s9,s4
		.db	s0,s9,s7,s1,s0,s0
		.db	s1,s0,s3,s1,s0,s7	
		.db	s1,s1,s0,s1,s1,s3
		.db	s1,s1,s6,s1,s1,s9
		.db	s1,s2,s2,s1,s2,s5
		.db	s1,s2,s8,s1,s3,s1	
		.db	s1,s3,s4,s1,s3,s7
		.db	s1,s4,s0,s1,s4,s3
		.db	s1,s4,s6,s1,s4,s9
		.db	s1,s5,s2,s1,s5,s5
		.db	s1,s5,s8,s1,s6,s1
		.db	s1,s6,s4,s1,s6,s7
		.db	s1,s7,s0,s1,s7,s4
		.db	s1,s7,s7,s1,s8,s0
		.db	s1,s8,s3,s1,s8,s6
		.db	s1,s8,s9,s1,s9,s2
		.db	s1,s9,s5,s1,s9,s8
		.db	s2,s0,s1,s2,s0,s4
		.db	s2,s0,s7,s2,s1,s0
		.db	s2,s1,s3,s2,s1,s6
		.db	s2,s1,s9,s2,s2,s2
		.db	s2,s2,s5,s2,s2,s8
		.db	s2,s3,s1,s2,s3,s4
		.db	s2,s3,s7,s2,s4,s0
		.db	s2,s4,s4,s2,s4,s7
		.db	s2,s5,s0,s2,s5,s3
		.db	s2,s5,s6,s2,s5,s9
		.db	s2,s6,s2,s2,s6,s5
		.db	s2,s6,s8,s2,s7,s1
		.db	s2,s7,s4,s2,s7,s7
		.db	s2,s8,s0,s2,s8,s3
		.db	s2,s8,s6,s2,s8,s9
		.db	s2,s9,s2,s2,s9,s5
		.db	s2,s9,s8,s3,s0,s1
		.db	s3,s0,s4,s3,s0,s7
		.db	s3,s1,s0,s3,s1,s4
		.db	s3,s1,s7,s3,s2,s0
		.db	s3,s2,s3,s3,s2,s6
		.db	s3,s2,s9,s3,s3,s2
		.db	s3,s3,s5,s3,s3,s8
		.db	s3,s4,s1,s3,s4,s4
		.db	s3,s4,s7,s3,s5,s0
		.db	s3,s5,s3,s3,s5,s6
		.db	s3,s5,s9,s3,s6,s2
		.db	s3,s6,s5,s3,s6,s8
		.db	s3,s7,s1,s3,s7,s4
		.db	s3,s7,s7,s3,s8,s0
		.db	s3,s8,s4,s3,s8,s7
		.db	s3,s9,s0,s3,s9,s3
		.db	s3,s9,s6,s3,s9,s9
		.db	s4,s0,s2,s4,s0,s5
		.db	s4,s0,s8,s4,s1,s1
		.db	s4,s1,s4,s4,s1,s7
		.db	s4,s2,s0,s4,s2,s3
		.db	s4,s2,s6,s4,s2,s9
		.db	s4,s3,s2,s4,s3,s5
		.db	s4,s3,s8,s4,s4,s1
		.db	s4,s4,s4,s4,s4,s7
		.db	s4,s5,s0,s4,s5,s4
		.db	s4,s5,s7,s4,s6,s0
		.db	s4,s6,s3,s4,s6,s6
		.db	s4,s6,s9,s4,s7,s2
		.db	s4,s7,s5,s4,s7,s8
		.db	s4,s8,s1,s4,s8,s4
		.db	s4,s8,s7,s4,s9,s0
		.db	s4,s9,s3,s4,s9,s6
		.db	s4,s9,s9,s5,s0,s2
		.db	s5,s0,s5,s5,s0,s8
		.db	s5,s1,s1,s5,s1,s4
		.db	s5,s1,s7,s5,s2,s0
		.db	s5,s2,s4,s5,s2,s7
		.db	s5,s3,s0,s5,s3,s3
		.db	s5,s3,s6,s5,s3,s9
		.db	s5,s4,s2,s5,s4,s5
		.db	s5,s4,s8,s5,s5,s1
		.db	s5,s5,s4,s5,s5,s7
		.db	s5,s6,s0,s5,s6,s3
		.db	s5,s6,s6,s5,s6,s9
		.db	s5,s7,s2,s5,s7,s5
		.db	s5,s7,s8,s5,s8,s1
		.db	s5,s8,s4,s5,s8,s7
		.db	s5,s9,s0,s5,s9,s4
		.db	s5,s9,s7,s6,s0,s0
		.db	s6,s0,s3,s6,s0,s6
		.db	s6,s0,s9,s6,s1,s2
		.db	s6,s1,s5,s6,s1,s8
		.db	s6,s2,s1,s6,s2,s4
		.db	s6,s2,s7,s6,s3,s0
		.db	s6,s3,s3,s6,s3,s6
		.db	s6,s3,s9,s6,s4,s2
		.db	s6,s4,s5,s6,s4,s8
		.db	s6,s5,s1,s6,s5,s4
		.db	s6,s5,s7,s6,s6,s0
		.db	s6,s6,s4,s6,s6,s7
		.db	s6,s7,s0,s6,s7,s3
		.db	s6,s7,s6,s6,s7,s9
		.db	s6,s8,s2,s6,s8,s5
		.db	s6,s8,s8,s6,s9,s1
		.db	s6,s9,s4,s6,s9,s7
		.db	s7,s0,s0,s7,s0,s3
		.db	s7,s0,s6,s7,s0,s9
		.db	s7,s1,s2,s7,s1,s5

		.db	Hi,Hi,Hi,Hi,Hi,Hi
		.db	Hi,Hi,Hi,Hi,Hi,Hi
		.db	Hi,Hi,Hi,Hi,Hi,Hi
		.db	Hi,Hi,Hi,Hi,Hi,Hi
		.db	Hi,Hi,Hi,Hi,Hi,Hi
		.db	Hi,Hi,Hi,Hi,Hi,Hi
		.db	Hi,Hi,Hi,Hi,Hi,Hi
		.db	Hi,Hi,Hi,Hi,Hi,Hi
		.db	Hi,Hi,Hi,Hi,Hi,Hi


